Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface EJBPoolRuntimeMBean

public interface EJBPoolRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface contains accessor methods for all free pool runtime information collected for an EJB.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getAccessTotalCount()` Returns the total number of times an attempt was made to get an instance from the free pool.
`int` | `getBeansInUseCount()` Deprecated. 28-Aug-2002. Use getBeansInUseCurrentCount() instead.
`int` | `getBeansInUseCurrentCount()` Returns the number of bean instances currently being used from the free pool.
`long` | `getDestroyedTotalCount()` Returns the total number of times a bean instance from this pool was destroyed due to a non-application Exception being thrown from it.
`int` | `getIdleBeansCount()` Deprecated. 28-Aug-2002. Use getPooledBeansCurrentCount() instead.
`long` | `getMissTotalCount()` Returns the total number of times a failed attempt was made to get an instance from the free pool.
`int` | `getPooledBeansCurrentCount()` Returns the current number of available bean instances in the free pool.
`long` | `getTimeoutTotalCount()` Returns the total number of Threads that have timed out waiting for an available bean instance from the free pool.
`int` | `getWaiterCurrentCount()` Returns the number of Threads currently waiting for an available bean instance from the free pool.
`long` | `getWaiterTotalCount()` Deprecated. 28-Aug-2002. Use getWaiterCurrentCount() instead.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getAccessTotalCount

    public long getAccessTotalCount()

  Returns the total number of times an attempt was made to get an instance from the free pool.

  Returns:
    The accessTotalCount value

### getMissTotalCount

    public long getMissTotalCount()

  Returns the total number of times a failed attempt was made to get an instance from the free pool. An Attempt to get a bean from the pool will fail if there are no available instances in the pool.

  Returns:
    The missTotalCount value

### getDestroyedTotalCount

    public long getDestroyedTotalCount()

  Returns the total number of times a bean instance from this pool was destroyed due to a non-application Exception being thrown from it.

  Returns:
    The destroyedTotalCount value

### getIdleBeansCount

    public int getIdleBeansCount()

  Deprecated. 28-Aug-2002. Use getPooledBeansCurrentCount() instead.
  Returns the total number of available bean instances in the free pool.

  Returns:
    The idleBeansCount value

### getPooledBeansCurrentCount

    public int getPooledBeansCurrentCount()

  Returns the current number of available bean instances in the free pool.

  Returns:
    The pooledBeansCurrentCount value

### getBeansInUseCount

    public int getBeansInUseCount()

  Deprecated. 28-Aug-2002. Use getBeansInUseCurrentCount() instead.
  Returns the total number of bean instances currently in use from the free pool.

  Returns:
    The beansInUseCount value

### getBeansInUseCurrentCount

    public int getBeansInUseCurrentCount()

  Returns the number of bean instances currently being used from the free pool.

  Returns:
    The beansInUseCurrentCount value

### getWaiterTotalCount

    public long getWaiterTotalCount()

  Deprecated. 28-Aug-2002. Use getWaiterCurrentCount() instead.
  Returns the total number of Threads currently waiting for an available bean instance from the free pool.

  Returns:
    The waiterTotalCount value

### getWaiterCurrentCount

    public int getWaiterCurrentCount()

  Returns the number of Threads currently waiting for an available bean instance from the free pool.

  Returns:
    The waiterCurrentCount value

### getTimeoutTotalCount

    public long getTimeoutTotalCount()

  Returns the total number of Threads that have timed out waiting for an available bean instance from the free pool.

  Returns:
    The timeoutTotalCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD